"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ArrayDataLoader = void 0;
const base_data_loader_1 = require("./base-data-loader");
class ArrayDataLoader extends base_data_loader_1.BaseDataLoader {
    constructor(loadByIds, getId, options) {
        super(options);
        this.loadByIds = loadByIds;
        this.getId = getId;
    }
    async load(ids) {
        const results = await this.loadByIds(ids);
        return ids.map(id => results.filter(result => this.getId(result) === id));
    }
}
exports.ArrayDataLoader = ArrayDataLoader;
//# sourceMappingURL=array-data-loader.js.map